# start thai
# vim: set sts=4 expandtab:

if [ "$IM_CONFIG_PHASE" = 2 ]; then
/usr/bin/nabi &
fi

if [ "$IM_CONFIG_PHASE" = 1 ]; then
# set variables for the plain XIM
XMODIFIERS="@im=nabi"

# Let's assume all required modules are installed
GTK_IM_MODULE=hangul2
QT4_IM_MODULE=hangul2

# No IM modules for Qt and Clutter for now
QT_IM_MODULE=xim
CLUTTER_IM_MODULE=xim

fi
